using System.ComponentModel;

namespace DeviceRepairAndOptimization.Models
{
    public class DriveMaintenancePlanExcelModel
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        [DisplayName("设备编号")]
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称/类型
        /// </summary>
        [DisplayName("设备类型")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 一月
        /// </summary>
        [DisplayName("一月")]
        public string Jan { get; set; }

        /// <summary>
        /// 二月
        /// </summary>
        [DisplayName("二月")]
        public string Feb { get; set; }

        /// <summary>
        /// 三月
        /// </summary>
        [DisplayName("三月")]
        public string Mar { get; set; }

        /// <summary>
        /// 四月
        /// </summary>
        [DisplayName("四月")]
        public string Apr { get; set; }

        /// <summary>
        /// 五月
        /// </summary>
        [DisplayName("五月")]
        public string May { get; set; }

        /// <summary>
        /// 六月
        /// </summary>
        [DisplayName("六月")]
        public string Jun { get; set; }

        /// <summary>
        /// 七月
        /// </summary>
        [DisplayName("七月")]
        public string Jul { get; set; }

        /// <summary>
        /// 八月
        /// </summary>
        [DisplayName("八月")]
        public string Aug { get; set; }

        /// <summary>
        /// 九月
        /// </summary>
        [DisplayName("九月")]
        public string Sep { get; set; }

        /// <summary>
        /// 十月
        /// </summary>
        [DisplayName("十月")]
        public string Oct { get; set; }

        /// <summary>
        /// 十一月
        /// </summary>
        [DisplayName("十一月")]
        public string Nov { get; set; }

        /// <summary>
        /// 十二月
        /// </summary>
        [DisplayName("十二月")]
        public string Dec { get; set; }

        /// <summary>
        /// 新PM起始月份
        /// </summary>
        [DisplayName("新PM起始月份")]
        public string StartMonth { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [DisplayName("备注")]
        public string Comment { get; set; }
    }
}